Arquivo da categoria: Arquitetura

Muda o tamanho de um objeto e executa o comando mover

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Muda o tamanho de um objeto e executa o comando mover (você então pode escolher um ponto base e depois mover o objeto para outra posição, útil … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Escreve a cota do ponto clicado

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Escreve a cota do ponto clicado (defun c:Cotar () (setq p1 (getpoint “P1”)) (setq z (rtos (nth 2 p1) 2 2)) (setvar “osmode” 0) (command “text” p1 … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | 2 Comentários

Copia cotas de um arquivo e escreve no desenho

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Copia cotas de um arquivo a coloca no desenho e ainda permite que você mova o texto de forma que ele não fique sobreposto a algum objeto … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Desenhar uma linha contínua a partir de pequenos incrementos

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Rotina para desenhar uma linha contínua (vertical ou horizontal) a partir de pequenos incrementos (defun c:iLinha() (command “_osmode” “1”) (setq ct (getstring “X ou Y ????”)) (setq … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Coloca nos pontos clicados uma "progresão", por exemplo: A1, A2, A3, A4, …

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Coloca nos pontos clicados uma “progresão”, por exemplo: A1, A2, A3, A4, … (defun c:Progressao () (setq ks1 (getstring “Letra __”)) (setq p1 (list 0 0)) (setq … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Desenhar um vetor

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Desenha um vetor (um vetor não é uma entidade do desenho é apenas um linha auxiliar que desaparecerá quando o desenho for regenerado) (defun c:dVetor () (setq … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Muda a cor dos objetos selecionados para amarelo

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Muda a cor dos objetos selecionados para amarelo. (defun c:MudarCor () (setq ent (entsel)) (while ent (command “change” ent “” “p” “c” “2” “”) (setq ent (entsel)) … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário